[Libreoffice-commits] core.git: 3 commits - bin/distro-install-desktop-integration bin/distro-install-file-lists distro-configs/LibreOfficeXdgApp.conf

Stephan Bergmann sbergman at redhat.com
Fri Apr 29 15:23:57 UTC 2016


 bin/distro-install-desktop-integration |   15 +++++------
 bin/distro-install-file-lists          |    2 -
 distro-configs/LibreOfficeXdgApp.conf  |   44 +++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+), 9 deletions(-)

New commits:
commit ec515932972c6ab116e69844511fccb0bd57aff3
Author: Stephan Bergmann <sbergman at redhat.com>
Date:   Fri Apr 29 17:17:34 2016 +0200

    What is bin/distro-install-file-lists supposed to do?
    
    It is called from the recipe for distro-pack-install in Makefile.in, and I'm
    (re-/mis-?) using that make target for xdg-app builds (mainly to populate the
    /usr/share metadata via bin/distro-install-desktop-integration), which then
    fail because there is no $DESTDIR/gid_Module_Root.
    
    Is anybody using that make target still in a way where
    bin/distro-install-file-lists is doing something useful (and why is it that
    $DESTDIR/gid_Module_Root is existing in that case, but not in mine), or is that
    some leftover stuff than should be removed?
    
    Change-Id: I27197c4ae3f57f028f5b181315484e25c1edbaf7

diff --git a/bin/distro-install-file-lists b/bin/distro-install-file-lists
index 5df56e8..2960f5f 100755
--- a/bin/distro-install-file-lists
+++ b/bin/distro-install-file-lists
@@ -62,7 +62,7 @@ merge_flists()
 if ! test -f $DESTDIR/gid_Module_Root; then
     echo "Error: Failed to generate package file lists";
     echo "       Have you defined DESTDIR?"
-    exit 1;
+    exit
 fi
 
 
commit 7480966c82f33e0e873ffeb5398e4192b976bb49
Author: Stephan Bergmann <sbergman at redhat.com>
Date:   Fri Apr 29 17:17:16 2016 +0200

    Adapt bin/distro-install-desktop-integration to BUILDDIR != SRCDIR
    
    Change-Id: Ief204145282d9a13f9a4839aa70c642e569ef6b6

diff --git a/bin/distro-install-desktop-integration b/bin/distro-install-desktop-integration
index e9332aa..b335dd4 100755
--- a/bin/distro-install-desktop-integration
+++ b/bin/distro-install-desktop-integration
@@ -52,7 +52,7 @@ install_man()
     echo "Install $MANDIR/man1/$1.1.gz"
 
     mkdir -p $DESTDIR$MANDIR/man1
-    cp sysui/desktop/man/$1.1 $DESTDIR$MANDIR/man1 || exit 1;
+    cp "${SRCDIR?}"/sysui/desktop/man/$1.1 $DESTDIR$MANDIR/man1 || exit 1;
     gzip -f $DESTDIR$MANDIR/man1/$1.1
     test -f "$DESTDIR/$2" && echo "$MANDIR/man1/$1.1.gz" >>"$DESTDIR/$2"
 }
@@ -96,8 +96,7 @@ add_wrapper()
 # install desktop integration from plain packages
 sysui_temp=`mktemp -d -t distro-pack-desktop-integration-XXXXXX`
 cp -a workdir/CustomTarget/sysui/share/libreoffice/* "$sysui_temp"
-cp -a sysui/desktop/share/create_tree.sh "$sysui_temp"
-builddir=`pwd`
+cp -a "${SRCDIR?}"/sysui/desktop/share/create_tree.sh "$sysui_temp"
 cd $sysui_temp
 # we want non-versioned stuff in the distro packages
 sed -i \
@@ -110,13 +109,13 @@ sed -i \
     export OFFICE_PREFIX=$LIBDIR
     export PREFIX=$INSTALLDIRNAME
     export ICON_PREFIX=$INSTALLDIRNAME
-    export ICON_SOURCE_DIR=$builddir/sysui/desktop/icons
+    export ICON_SOURCE_DIR="${SRCDIR?}"/sysui/desktop/icons
     export PRODUCTVERSION=
     export KDEMAINDIR=$PREFIXDIR
     export PREFIXDIR=${PREFIXDIR}
     export GNOMEDIR=$PREFIXDIR
     export GNOME_MIME_THEME=hicolor
-    export APPDATA_SOURCE_DIR=$builddir/sysui/desktop/appstream-appdata
+    export APPDATA_SOURCE_DIR="${SRCDIR?}"/sysui/desktop/appstream-appdata
     bash ./create_tree.sh
 )
 cd -
@@ -179,16 +178,16 @@ test -f $DESTDIR/gid_Module_Root_Brand && echo "$PREFIXDIR/bin/soffice" >>$DESTD
 
 # create bash completion
 mkdir -p $DESTDIR/usr/share/bash-completion/completions
-./bin/generate-bash-completion bin/bash-completion.in $DESTDIR/usr/share/bash-completion/completions/$INSTALLDIRNAME.sh
+"${SRCDIR?}"/bin/generate-bash-completion bin/bash-completion.in $DESTDIR/usr/share/bash-completion/completions/$INSTALLDIRNAME.sh
 test -f $DESTDIR/gid_Module_Root_Brand && echo "/usr/share/bash-completion/completions/$INSTALLDIRNAME.sh" >>$DESTDIR/gid_Module_Root_Brand
 if test "$WITH_COMPAT_OOWRAPPERS" = "TRUE" ; then
-    ./bin/generate-bash-completion --compat-oowrappers bin/bash-completion.in $DESTDIR/usr/share/bash-completion/completions/ooffice.sh
+    "${SRCDIR?}"/bin/generate-bash-completion --compat-oowrappers bin/bash-completion.in $DESTDIR/usr/share/bash-completion/completions/ooffice.sh
     test -f $DESTDIR/gid_Module_Root_Brand && echo "/usr/share/bash-completion/completions/ooffice.sh" >>$DESTDIR/gid_Module_Root_Brand
 fi
 
 echo "Install $OOINSTDIR/basis$VERSION/program/java-set-classpath";
 mkdir -p $DESTDIR$INSTALLDIR/program
-sed -e "s|@INSTALLDIR@|$INSTALLDIR|g" bin/java-set-classpath.in >| "$DESTDIR$INSTALLDIR/program/java-set-classpath" || exit 1;
+sed -e "s|@INSTALLDIR@|$INSTALLDIR|g" "${SRCDIR?}"/bin/java-set-classpath.in >| "$DESTDIR$INSTALLDIR/program/java-set-classpath" || exit 1;
 chmod 755 "$DESTDIR$INSTALLDIR/program/java-set-classpath"
 test -f $DESTDIR/gid_Module_Root_Brand && echo "$INSTALLDIR/program/java-set-classpath" >>$DESTDIR/gid_Module_Root_Brand
 
commit 217622494a34d505efdbdf8201ea3e837e597046
Author: Stephan Bergmann <sbergman at redhat.com>
Date:   Fri Apr 29 17:16:29 2016 +0200

    Convenience --with-distro=LibreOfficeXdgApp
    
    Change-Id: Idab663e79cd4836ec1c14020fcd5c462c1cbf5dc

diff --git a/distro-configs/LibreOfficeXdgApp.conf b/distro-configs/LibreOfficeXdgApp.conf
new file mode 100644
index 0000000..28a4d31
--- /dev/null
+++ b/distro-configs/LibreOfficeXdgApp.conf
@@ -0,0 +1,44 @@
+--disable-odk
+--enable-release-build
+--with-extra-buildid=xdg-app version
+--with-lang=ALL
+--with-system-libs
+--with-vendor=The Document Foundation
+--without-java
+--without-system-bluez
+--without-system-boost
+--without-system-clucene
+--without-system-coinmp
+--without-system-cppunit
+--without-system-firebird
+--without-system-glew
+--without-system-glm
+--without-system-libabw
+--without-system-libcdr
+--without-system-libcmis
+--without-system-libebook
+--without-system-libetonyek
+--without-system-libexttextcat
+--without-system-libfreehand
+--without-system-libgltf
+--without-system-liblangtag
+--without-system-libmspub
+--without-system-libmwaw
+--without-system-libodfgen
+--without-system-libpagemaker
+--without-system-librevenge
+--without-system-libvisio
+--without-system-libwpd
+--without-system-libwpg
+--without-system-libwps
+--without-system-lpsolve
+--without-system-mdds
+--without-system-mythes
+--without-system-neon
+--without-system-odbc
+--without-system-openldap
+--without-system-orcus
+--without-system-poppler
+--without-system-postgresql
+--without-system-redland
+--without-system-sane


More information about the Libreoffice-commits mailing list